## ros-noetic-hls-lfcd-lds-driver 1.1.2

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 3.0.2)
project(hls_lfcd_lds_driver)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  sensor_msgs
)

find_package(Boost REQUIRED)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
## Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp std_msgs sensor_msgs
  DEPENDS Boost
)

################################################################################
# Build
################################################################################
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

add_executable(hlds_laser_publisher	src/hlds_laser_publisher.cpp)
add_dependencies(hlds_laser_publisher ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(hlds_laser_publisher ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(hlds_laser_segment_publisher	src/hlds_laser_segment_publisher.cpp)
add_dependencies(hlds_laser_segment_publisher ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(hlds_laser_segment_publisher ${catkin_LIBRARIES} ${Boost_LIBRARIES})

################################################################################
# Install
################################################################################
install(TARGETS hlds_laser_publisher hlds_laser_segment_publisher
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-noetic-hls-lfcd-lds-driver (1.1.2-1focal) focal; urgency=high

  * fix LDS data issue
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Thu, 15 Apr 2021 15:00:00 -0000

ros-noetic-hls-lfcd-lds-driver (1.1.1-1focal) focal; urgency=high

  * ROS 1 Noetic Ninjemys support
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Sun, 12 Jul 2020 15:00:00 -0000

ros-noetic-hls-lfcd-lds-driver (1.1.0-1focal) focal; urgency=high

  * added lpthread library in Makefile
  * added CI for ROS melodic
  * modified hlds_laser_segment_publisher
  * Contributors: Gilbert, Pyo

 -- Will Son <willson@robotis.com>  Tue, 22 Jan 2019 15:00:00 -0000

ros-noetic-hls-lfcd-lds-driver (1.0.0-1focal) focal; urgency=high

  * modified max-range to avoid fencepost error.
  * merged pull request #27 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/27> from skasperski/master
    Corrected max-range to avoid fencepost error.
  * merged pull request #29 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/29> #28 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/28> #24 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/24>
  * Contributors: Gilbert, Sebastian Kasperski, Pyo

 -- Will Son <willson@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-noetic-hls-lfcd-lds-driver (0.1.5-1focal) focal; urgency=high

  * added non-ROS applications for LDS (linux, windows, mac)
  * added a link for e-Manual
  * added .travis.yml for Travis CI
  * modified for firmware upgrade
  * refactoring for release
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-noetic-hls-lfcd-lds-driver (0.1.4-1focal) focal; urgency=high

  * modify to stop motor of LDS
  * delete unused lfcdstartstop arg of LFCDLaser. Fix an exception error.
  * merge pull request #8 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/8> from hara-y/stop_motor_in_dtor
  * fixed code format
  * Contributors: Yoonseok Pyo, Yoshitaka HARA

 -- Will Son <willson@robotis.com>  Wed, 13 Sep 2017 15:00:00 -0000

ros-noetic-hls-lfcd-lds-driver (0.1.3-1focal) focal; urgency=high

  * fixed a bug of beam index [0, 0, 1, ..., 358] > [0, 1, 2, ..., 359]
  * merge pull request #7 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/pull/7> from hara-y
  * Contributors: Darby Lim, Yoshitaka HARA

 -- Will Son <willson@robotis.com>  Thu, 17 Aug 2017 15:00:00 -0000

ros-noetic-hls-lfcd-lds-driver (0.1.2-1focal) focal; urgency=high

  * modified the timing to take a timestamp for sync the scan and odom
  * added a hlds_laser_segment_publisher node
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-noetic-hls-lfcd-lds-driver (0.1.1-1focal) focal; urgency=high

  * modified the package name and related codes
  * added a ROS package for HLDS Laser Distance Sensor
  * Contributors: JH Yang, SP Kong, Pyo

 -- Will Son <willson@robotis.com>  Mon, 05 Dec 2016 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-hls-lfcd-lds-driver
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-noetic-catkin, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Homepage: http://wiki.ros.org/hls_lfcd_lds_driver
Standards-Version: 3.9.2

Package: ros-noetic-hls-lfcd-lds-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Description: ROS package for LDS(HLS-LFCD2).
 The LDS (Laser Distance Sensor) is a sensor sending the data to Host for the simultaneous localization and mapping (SLAM). Simultaneously the detecting obstacle data can also be sent to Host. HLDS(Hitachi-LG Data Storage) is developing the technology for the moving platform sensor such as Robot Vacuum Cleaners, Home Robot, Robotics Lawn Mower Sensor, etc.
